/****************************************************************************
 Module
     EventCheckers.h
 Description
     header file for the event checking functions
 Notes

 History
 When           Who     What/Why
 -------------- ---     --------
 10/18/15 11:50 jec      added #include for stdint & stdbool
 08/06/13 14:37 jec      started coding
*****************************************************************************/

#ifndef EventCheckers_H
#define EventCheckers_H

// the common headers for C99 types 
#include <stdint.h>
#include <stdbool.h>
#include "Flame.h"
#include "Spigot.h"
#include "WaterGun.h"
#include "Trigger.h"
#include "ResetButton.h"


// MUST PUT FUNCTION PROTOTYPES FOR EVENT CHECKERS HERE
bool Check4Keystroke(void);
bool CheckFlameEvents(void);
bool CheckSpigotEvents(void);
bool CheckResetButton(void);

#endif /* EventCheckers_H */
